---
title: Delete Environment Variables
description: Deletes multiple environment variables for a given project by their IDs.
docs_index: /docs/llms.txt
lastUpdated: 2026-10-23
product: v0 API
type: reference
prerequisites:
  - /docs/api/v1/quickstart
related:
  - /docs/api/v2/guides/environment-variables
---

> For an index of all documentation, see [/docs/llms.txt](/docs/llms.txt).

Deletes multiple environment variables for a given project by their IDs.

#### `POST /v1/projects/{projectId}/env-vars/delete`

> **Deprecated**: v1 environment variables were connected to v0 Projects, which are deprecated. To manage environment variables for a chat, see the [Environment Variables guide](/docs/api/v2/guides/environment-variables).

## Usage

```typescript
import { v0 } from 'v0-sdk'

const result = await v0.projects.deleteEnvVars({
  projectId: 'project_abc123',
  environmentVariableIds: ['env_def456', 'env_ghi789'],
})

console.log(result)
```

```bash
curl -X POST https://api.v0.dev/v1/projects/project_abc123/env-vars/delete   -H "Authorization: Bearer $V0_API_KEY"   -H "Content-Type: application/json"   -d '{
    "environmentVariableIds": [
      "env_def456",
      "env_ghi789"
    ]
  }'
```

## API Signature

### Request

#### Path Parameters

- `projectId: string` The unique identifier of the project whose environment variables should be deleted.

#### Body

- `environmentVariableIds: string[]` An array of environment variable IDs to delete.
  - `item: string` The unique identifier of the environment variable to delete.

### Response

- `object: 'list'`
- `data: object[]`
  - `item: object`
    - `id: string`
    - `object: 'environment_variable'`
    - `deleted: 'true'`

---

For a semantic overview of all documentation, see [/docs/sitemap.md](/docs/sitemap.md)

For an index of all available documentation, see [/docs/llms.txt](/docs/llms.txt)

For agent-facing discovery, including API and MCP surfaces, see [/docs/agents.md](/docs/agents.md)